ECHO off
if . == .%1 goto explain
ECHO Creating a working area for SDLSETUP as %1
echo If you see the message "Unable to create directory"
ECHO it means that the directory already exists, that it is a
echo ROOT directory, or that the specification was incorrect.
ECHO This does NOT indicate a problem unless you have made
ECHO a mistake in your specification.
echo * * *
ECHO MkDir %1
sdl_ASK C "Is this correct (Y,N)? " YN~
if errorlevel 90 go to explain
if errorlevel 78 if not errorlevel 79 goto explain
md %1
copy sdl*.* %1
echo Files copied to %1
cd %1
goto end
:explain
ECHO * * *
ECHO This program will create a working disk or directory
ECHO for the purpose of running the SDLSETUP program.
ECHO * * *
ECHO It is necessary to enter the drive and/or directory
ECHO that you want to use for the working area.  A RAM disk
ECHO would be ideal because it speeds things up and once
ECHO you customize SDL.COM the way you want it, it is not
ECHO necessary to save the working directory.
ECHO * * *
ECHO Enter MAKEWORK again with the drive and/or directory
ECHO that you want to use.  If you include a directory, be
ECHO sure that the directory exists, or that it is OK for MAKEWORK
ECHO to use the DOS MD (Make Directory) command to create it.
ECHO * * *
ECHO Some examples of what you might enter are:
ECHO MAKEWORK B:
ECHO MAKEWORK E:
ECHO MAKEWORK C:\SDLSETUP
:end
ECHO * * *
