ECHO Off
IF NOT .%3 == . GOTO PARMSOK
ECHO Please start the setup program by running SDLSETUP.
GOTO QUIT
:PARMSOK
SDL_ASK B
ECHO * * *
ECHO The next section includes:
ECHO      Sleeve Inserts page ejects
ECHO      More or Pause
ECHO      Number of files for Tiny print labels
ECHO      Line printing characters
ECHO      . and .. directories
ECHO      Color or Monochrome displays.
ECHO * * *
echo The remaining selections do not have options to change them once
ECHO they are set.  The only way to change them is to run SDLSETUP
ECHO again.  To skip to the next section press Esc at any prompt.
ECHO * * *
ECHO You can set sleeve Inserts to eject a full page (66 lines).
ECHO The original default was one-half page (33 lines).
ECHO * * *
SDL_ASK C "Press 3 for 33 lines, 6 for 66 lines or cr for no change (3,6,cr): " 63~}
IF ERRORLEVEL 126 GOTO :TITLE
IF ERRORLEVEL 54 IF NOT ERRORLEVEL 55 ECHO E 235 42>>SDLSETUP.TXT
IF ERRORLEVEL 51 IF NOT ERRORLEVEL 52 ECHO E 235 21>>SDLSETUP.TXT
ECHO * * *
ECHO As mentioned earlier, M for More is the default key letter to
ECHO indicate that you want to see a Menu at the end of each screen.
ECHO If you require compatibility with earlier versions of SDL, you
ECHO may specify P for Pause instead of P for Print. (M for More or
ECHO Menu will still work, but you will have to use R for pRint.)
ECHO * * *
SDL_ASK C "Press M for More, P for Pause, or cr for no change (M,p,cr): " PM~}
IF ERRORLEVEL 126 GOTO :TITLE
IF ERRORLEVEL 80 IF NOT ERRORLEVEL 81 ECHO E 237 50 52>>SDLSETUP.TXT
IF ERRORLEVEL 77 IF NOT ERRORLEVEL 78 ECHO E 237 4D 50>>SDLSETUP.TXT
ECHO * * *
ECHO When using the /L option to print labels, SDL figures 11 filenames
ECHO for each column if it uses Tiny print.  This works fine on most
ECHO printers and is specific to some Epson LQ models.  Some printers
ECHO have smaller fonts and can fit up to 15 files per column, for
ECHO example the Epson FX-80.  You may change the number up to 15 if you
ECHO have a printer that can handle it.
ECHO * * *
SDL_ASK C "Enter B for 11, C for 12, D for 13, E for 14, or F for 15 (B,c,d,e,f)?" BCDEF}~
IF ERRORLEVEL 126 GOTO TITLE
IF NOT ERRORLEVEL 125 ECHO E 23A %WHAT%>>SDLSETUP.TXT
ECHO * * *
ECHO When printing a directory, SDL usually substitutes printable
ECHO ASCII characters for the line drawing characters you see on your
ECHO screen.  If your printer supports the extended ASCII characters
ECHO you can have SDL use them to produce a neater printout.
ECHO * * *
SDL_ASK C "Press L for line drawing, S for substitutes (S,l,cr): " LS~}
IF ERRORLEVEL 126 GOTO :TITLE
IF ERRORLEVEL 83 IF NOT ERRORLEVEL 84 ECHO E 234 00>>SDLSETUP.TXT
IF ERRORLEVEL 76 IF NOT ERRORLEVEL 77 ECHO E 234 01>>SDLSETUP.TXT
ECHO * * *
ECHO All DOS subdirectories have two entries named "." and "..".
ECHO The . entry refers to the current subdirectory, while the ..
ECHO entry refers to the parent directory.  Many people find these
ECHO entries superfluous and do not care to see them.  Directories
ECHO will display or not depending on the ALL default setting.  They
ECHO can be toggled on or off with the /A option.  When directories
ECHO are shown, you can have SDL suppress the dots if you want.
ECHO * * *
SDL_ASK C "Press . to see the dots, or S to suppress them (S,.,cr): " .S~}
IF ERRORLEVEL 126 GOTO :TITLE
IF ERRORLEVEL 46 IF NOT ERRORLEVEL 47 ECHO E 236 01>>SDLSETUP.TXT
IF ERRORLEVEL 83 IF NOT ERRORLEVEL 84 ECHO E 236 00>>SDLSETUP.TXT
ECHO * * *
ECHO SDL trys to determine whether you are using a color or monochrome
ECHO monitor.  It uses this to set the attribute for the highlighted
ECHO key letters in the bottom line menus.  This may not produce
ECHO agreeable results on some monochrome graphics screens, so if
ECHO you do not care for the automatic selection you can specify one
ECHO style to be used all the time.  This may take some experimention.
ECHO * * *
SDL_ASK C "Press A for automatic, C for color, M for mono, or cr (A,c,m,cr): "  CAM~}
IF ERRORLEVEL 126 GOTO :TITLE
IF ERRORLEVEL 67 IF NOT ERRORLEVEL 68 ECHO E 239 09>>SDLSETUP.TXT
IF ERRORLEVEL 77 IF NOT ERRORLEVEL 78 ECHO E 239 78>>SDLSETUP.TXT
IF ERRORLEVEL 65 IF NOT ERRORLEVEL 66 ECHO E 239 00>>SDLSETUP.TXT
:TITLE ... now another check on the SDL version.
IF NOT .%1 == .142 GOTO VERSION
IF NOT .%2 == .143 GOTO VERSION
SDL_ASK B
ECHO * * *
ECHO This is the last section:
ECHO * * *
ECHO You may enter your own titles on the first two header lines,
ECHO or restore the original lines.  These titles will display or not
ECHO depending on the Hdr default setting.  They can be toggled on
ECHO or off with the /H option.  If you have changed the titles and
ECHO want to restore the original, select Y.  Changed or restored
ECHO titles do not have the highlighted capital letters.
ECHO * * *
ECHO In order to protect the display of the support notices in the
ECHO FREE evaluation version of SDL, we are unable to change
ECHO the default for this feature.  It is fully supported in the
ECHO registered version.  Please consider registering today.
pause
SDL_ASK $
Echo E 23c 00 00 >>SDLSETUP.TXT
Echo E 23c %WHAT%>>SDLSETUP.TXT
ECHO * * *
:REM Better make another check on SDL Version (see REM below).
SDL @#$.$#@/!
IF NOT ERRORLEVEL %1 GOTO VERSION
IF ERRORLEVEL %2 GOTO VERSION
REM Check the size of SDL.COM
SDL_ASK F SDL.COM
IF NOT ERRORLEVEL 1 GOTO :SIZEOK
REM The size must match what is passed in %3, else version is incorrect.
IF NOT %3 == %WHAT% GOTO VERSION
:SIZEOK
ECHO * * *
:END
IF NOT EXIST SDLSETUP.TXT GOTO NOCHANGE
SDL_ASK F SDLSETUP.TXT
IF NOT ERRORLEVEL 1 GOTO NOCHANGE
ECHO Input complete, now updating SDL.COM . . .
ECHO MASDIR featuring SDL.COM is user-supported software (shareware).
ECHO If you find it useful you can obtain a registered version by
ECHO sending the registration fee of $15 to MOBY DISK,
ECHO Attn: Bob Stephan, 1021 San Carlos Road, Pebble Beach, CA 93953
ECHO For more product information print the file ORDER.FRM.
SDLDEBUG
REM BATch commands end here, the rest are error messages.
GOTO QUIT
:VERSION
ECHO The version of SDL is incompatible with this
ECHO version of SDLSETUP.  Please copy compatible
ECHO versions from your original disk and try again.
:NOCHANGE
ECHO * * *
ECHO NO CHANGES HAVE BEEN MADE TO SDL.COM!
IF EXIST SDLSETUP.TXT ERASE SDLSETUP.TXT
:QUIT
SET WHAT=
ECHO Exiting to DOS ...
