ECHO OFF
IF NOT .%3 == . GOTO PARMSOK
ECHO Please start the setup program by running SDLSETUP.
GOTO QUIT
:PARMSOK
SDL_ASK B
ECHO * * *
ECHO You may exit at any point by pressing Ctrl-C and answering Y to terminate.
ECHO You may skip to the next section at any prompt by pressing the
ECHO Escape key (Esc on most keyboards).  Note that all selections
ECHO are made by "pressing" single keys.  These selections are NOT
ECHO "entered" by pressing the Enter key after making the selection.
ECHO * * *
ECHO The questions are set up with the original defaults capitalized.
ECHO If you select the capitalized choices the original defaults
ECHO will be restored.  If the choices are not alphabetic, the first
ECHO one shown is the original default.  Either caps or lower case
ECHO letters are OK for your alphabetic selections.
ECHO * * *
ECHO If you do not want to change the operation of a selection, just
ECHO press the Return key (sometimes called Enter).  This is indicated as
ECHO choice (cr). Or press Esc to skip to the next section of questions.
ECHO * * *
ECHO The first section is for the toggles: Cls More Fre Hdr All
SDL_ASK C "Press Return to continue, Esc to skip this section..." ~}
IF ERRORLEVEL 126 GOTO NEXT
ECHO * * *
ECHO SDL has several options which can be "toggled" by command line
ECHO switches.  A toggle has only two possibilities, and the switch (option)
ECHO changes a toggle from its current setting to the opposite setting.
ECHO For example:
ECHO You may set the clear screen (Cls) default to Off or On.
ECHO When it is ON it clears the screen before and after each display.
ECHO When it is OFF the screen just scrolls and is a bit slower.
Echo Whichever default you choose, the /C option will toggle it.
ECHO * * *
SDL_ASK C "Do you want Cls ON to be the default mode (Y,n,cr)? " YN~}
IF ERRORLEVEL 126 GOTO NEXT
IF ERRORLEVEL 89 IF NOT ERRORLEVEL 90 ECHO E 22F 01>>SDLSETUP.TXT
IF ERRORLEVEL 78 IF NOT ERRORLEVEL 79 ECHO E 22F 00>>SDLSETUP.TXT
ECHO * * *
ECHO SDL Version 4 uses "More" instead of "Pause" to stop and show
ECHO a menu at the end of each screen display.  This was changed from
ECHO earlier versions to reserve the /P option for Printing (Prn).
ECHO (Later you will be given the option to use /P for Pause if you prefer).
ECHO You may set the More/Pause default to Off or On.
Echo Whichever default you choose, the /M option will toggle it.
ECHO * * *
ECHO In order to protect the display of the support notices in the
ECHO FREE evaluation version of SDL, we are unable to change
ECHO the default for this feature.  It is fully supported in the
ECHO registered version.  Please consider registering today.
pause
ECHO * * *
ECHO SDL Version 4 has a new /F option for showing Free Space (Fre) on
ECHO a disk.  On a hard disk SDL is much faster if it doesn't have to
ECHO wait for DOS to get the Free Space.  On a floppy disk the amount
ECHO of free space may be of interest, but you can display it by
ECHO pressing the F key at the end of the display.  You may, however,
ECHO have the Free Space displayed automatically as the default.
ECHO Whichever you choose, the /F option will toggle it.
ECHO * * *
SDL_ASK C "Do you want Free Space ON to be the default? (y,N,cr)? " YN~}
IF ERRORLEVEL 126 GOTO NEXT
IF ERRORLEVEL 89 IF NOT ERRORLEVEL 90 ECHO E 231 1>>SDLSETUP.TXT
IF ERRORLEVEL 78 IF NOT ERRORLEVEL 79 ECHO E 231 0>>SDLSETUP.TXT
ECHO * * *
ECHO You may set the Header (Hdr) default to On or Off.
ECHO When OFF it suppresses the first two lines of titles to leave
ECHO more space on the screen for file names.
Echo Whichever you choose, the /H option will toggle it.
ECHO (Whether you set it Off or On, you will be given a chance
ECHO to enter your default titles later.)
ECHO * * *
ECHO In order to protect the display of the support notices in the
ECHO FREE evaluation version of SDL, we are unable to change
ECHO the default for this feature.  It is fully supported in the
ECHO registered version.  Please consider registering today.
pause
ECHO * * *
ECHO The /A for ALL option toggles the display of hidden files and directories.
ECHO If you select ALL as the default, SDL will automatically include
ECHO Hidden files and "<DIR>"s (subdirectories) in the directory display.
Echo Whichever default you choose, the /A option will toggle it.
ECHO * * *
SDL_ASK C "Do you want All to be the default mode (Y,n,cr)? " YN~}
IF ERRORLEVEL 126 GOTO NEXT
IF ERRORLEVEL 78 IF NOT ERRORLEVEL 79 ECHO E 233 00>>SDLSETUP.TXT
IF ERRORLEVEL 89 IF NOT ERRORLEVEL 90 ECHO E 233 16>>SDLSETUP.TXT
:NEXT
SDL_ASK B
ECHO * * *
ECHO The next section includes default SORTing and COLumns:
ECHO * * *
ECHO Reminder:
ECHO If you do not want to change a selection just press return (cr),
ECHO or press Esc to skip to the next section.
ECHO * * *
ECHO The default SORT order can be Name, eXtension, Date, or
ECHO the Original dOs order which is unsorted.
ECHO (Note that the letters above in CAPS are the option keys.)
ECHO * * *
SDL_ASK C "Press the letter for the SORT order you prefer (N,x,d,o,cr): " NXDO~}
IF ERRORLEVEL 126 GOTO NEXT2
IF ERRORLEVEL 88 IF NOT ERRORLEVEL 89 ECHO E 022E 58>>SDLSETUP.TXT
IF ERRORLEVEL 79 IF NOT ERRORLEVEL 80 ECHO E 022E 4F>>SDLSETUP.TXT
IF ERRORLEVEL 78 IF NOT ERRORLEVEL 79 ECHO E 022E 4E>>SDLSETUP.TXT
IF ERRORLEVEL 68 IF NOT ERRORLEVEL 69 ECHO E 022E 44>>SDLSETUP.TXT
ECHO * * *
ECHO The default number of COLumns of files can be 2, 4 or automatic.
ECHO The original default is automatic which trys to show all the files on
ECHO one screen if possible.  You can override the default with a
ECHO / option on the command line, or by making a new selection from
ECHO the menu at any pause.
ECHO * * *
SDL_ASK C "Press the number of COLs you prefer, or 0 for automatic (0,2,4,cr): " 024~}
IF NOT ERRORLEVEL 125 ECHO E 022C %WHAT%>>SDLSETUP.TXT
ECHO * * *
ECHO The sorting of file names can be in ascending order or in reverse
ECHO order.  This applies to the N,X,S, or D sort selection, and it
ECHO is controlled by the /- toggle.  For example, any of /-, /S-,
ECHO or /-S would reverse the sort order from the default.
ECHO * * *
SDL_ASK C "Press A for Ascending, - for descending (A,-,cr): " A-~}
IF ERRORLEVEL 126 GOTO NEXT
IF ERRORLEVEL 65 IF NOT ERRORLEVEL 66 ECHO E 23B 00>>SDLSETUP.TXT
IF ERRORLEVEL 45 IF NOT ERRORLEVEL 46 ECHO E 23B 01>>SDLSETUP.TXT
:NEXT2
SDLFINIS %1 %2 %3
:QUIT
